browser totally crashes on visiting kitty-yo.net (Java/Flash issue?)

RESOLVED WORKSFORME

Status

()

Core
Plug-ins
--
critical
RESOLVED WORKSFORME
15 years ago
11 years ago

People

(Reporter: bugzilla, Unassigned)

Tracking

({crash})

Trunk
x86
Linux
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.5) Gecko/20031021 Firebird/0.7
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.5) Gecko/20031021 Firebird/0.7

When you visit the website http://www.kitty-yo.net/index2.php, after everything
is loaded, the browser crashes and shuts down with all it's child processes. May
be a result of a Java "Balloon" which should fly across the page.

Reproducible: Always

Steps to Reproduce:
1. Start MozillaFirebird
2. Enter the adress http://www.kitty-yo.net/index2.php and press ENTER
3. Wait for the page to load
Actual Results:  
MozillaFirebird crashes without any error message

Expected Results:  
Display the website without crashing.

Installed plug-ins:

- Java(TM) Plug-in Blackdown-1.4.1-01
    File name: javaplugin_oji.so
    Blackdown Java-Linux Java(TM) Plug-in1.4.1
- Shockwave Flash
    File name: libflashplayer.so
    Shockwave Flash 6.0 r79
- [...]

Comment 1

15 years ago
With Sun's JDK 1.4.2.x, I can reproduce the crash with firebird, but not with
mozilla. Both were compiled from the cvs a couple of days ago. Even though I
enabled Java, I don't see a Java 'balloon' flying across. 

Comment 2

15 years ago
WFM Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6a) Gecko/20031107
Firebird/0.7+, no Java installed.

Comment 3

14 years ago
WFM Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7a) Gecko/20040202
(without Java or Flash)
Reporter, are you able to reproduce this with a current build of Firebird?

Comment 4

14 years ago
(In reply to comment #3)
> WFM Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7a) Gecko/20040202
> (without Java or Flash)
> Reporter, are you able to reproduce this with a current build of Firebird?

Not Reporter, but was unable to reproduce crash.

WFM Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b) Gecko/20040329 Firefox/0.8.0+
Java and Flash installed

Comment 5

14 years ago
WFM
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7b) Gecko/20040330
Firefox/0.8.0+

win2000 sp4, installer version, flash and java installed
(Reporter)

Comment 6

14 years ago
(In reply to comment #3)
> WFM Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7a) Gecko/20040202
> (without Java or Flash)
> Reporter, are you able to reproduce this with a current build of Firebird?

Yes, I'm still able to reproduce this bug with a current build.

Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.6) Gecko/20040329 Firefox/0.8

Comment 7

14 years ago
Reporter, have you tried a newer version of Java? Mine is

Java(TM) Plug-in 1.4.2_03-b02
    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.4.2_03

Comment 8

14 years ago
Created attachment 145373 [details]
Backtrace

There is certainly a crash here, possibly relating to a plugin, maybe
Flash or Shockwave.

My plugin shows as:

Shockwave Flash

    File name: Shockwave Flash NP-PPC
    Shockwave Flash 6.0 r29

MIME Type	Description	Suffixes	Enabled
application/x-shockwave-flash	Shockwave Flash 	swf	Yes
application/futuresplash	FutureSplash Player	spl	Yes

The Macromedia site e.g. <URL:
http://www.macromedia.com/shockwave/download/alternates/ > does seem to refer
to a version 7.

I will try with version 6 release 79 or later ...

Ben

Comment 9

14 years ago
With the Flash plugin:

Shockwave Flash

    File name: Shockwave Flash NP-PPC
    Shockwave Flash 6.0 r79

MIME Type 	Description 	Suffixes 	Enabled
application/x-shockwave-flash 	Shockwave Flash 	swf 	Yes
application/futuresplash 	FutureSplash Player 	spl 	Yes

There is no crash with Firefox:

Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7b) Gecko/20040403
Firefox/0.8.0+

The console shows these messages, but they may relate to a page that I was on 
earlier:

WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file
/Volumes/Ben/mozilla/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp, line 4128
For application/x-shockwave-flash found plugin Shockwave Flash NP-PPC
For application/x-shockwave-flash found plugin Shockwave Flash NP-PPC
For application/x-shockwave-flash found plugin Shockwave Flash NP-PPC
nsNativeComponentLoader: autoregistering begins.
nsNativeComponentLoader: autoregistering succeeded
nNCL: registering deferred (0)
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file
/Volumes/Ben/mozilla/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp, line 4128
For application/x-java-vm found plugin Java Applet Plugin Enabler
no proxy

JavaEmbedding: ReacquireAllLocks exception
Exception in thread "main" java.net.MalformedURLException: unknown protocol: about
	at java.net.URL.<init>(URL.java:475)
	at java.net.URL.<init>(URL.java:371)
	at java.net.URL.<init>(URL.java:325)
	at com.apple.mrj.JavaEmbedding.JavaEmbedding.createApplet(JavaEmbedding.java:414)
Exception in thread "main" java.lang.NullPointerException
Exception in thread "main" java.lang.NullPointerException
++WEBSHELL == 4
++DOMWINDOW == 4
XP Popups: This is a nag to indicate that an inconsistent hack is being done on
the Mac for popups.
WARNING: trying to find screen for sizeless window, using primary monitor, file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsScreenManagerMac.cpp, line 120
###!!! ASSERTION: do not know the TrueType encoding: '(i != n) || ( 0 !=
platformUnicodeOffset)', file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
Break: at file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
###!!! ASSERTION: do not know the TrueType encoding: '(i != n) || ( 0 !=
platformUnicodeOffset)', file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
Break: at file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
###!!! ASSERTION: do not know the TrueType encoding: '(i != n) || ( 0 !=
platformUnicodeOffset)', file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
Break: at file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
###!!! ASSERTION: do not know the TrueType encoding: '(i != n) || ( 0 !=
platformUnicodeOffset)', file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
Break: at file
/Volumes/Ben/mozilla/mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp, line 359
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file
/Volumes/Ben/mozilla/mozilla/caps/src/nsScriptSecurityManager.cpp, line 825

Ben

Comment 10

14 years ago
It's crashing for me on Fedora Core 1. Java and flash are installed (but no
other plugins). This is a fresh install (moved ~/.phoenix to something else and
uncompressed the tar.gz into ~/test/firefox, ran ./firefox -P to get a fresh
profile.) 

Weird thing is- When I middle-clicked the link to open it in a new tab and then
immediately switched to that tab so it was in the foreground, it didn't crash
although it's still saying "Transferring data from www.kitty-yo.net..." but the
throbber isn't spinning. Trying again but leaving the active tab as the bugzilla
page, it did crash a second or so after the tab-throbber stopped throbbing. It
also crashes when I don't open it in a new tab and have no other tabs open. Odd. 

I'm not getting any errors in the console other than

LoadPlugin: failed to initialize shared library
/home/<me>/test/firefox/plugins/libflashplayer.so [libstdc++-libc6.2-2.so.3:
cannot open shared object file: No such file or directory]

but that's because I'm an idiot and failed to check all the dependencies when I
installed flash. Flash still works, but I don't know how or why.

---------
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040207 Firefox/0.8
Installed plugins:
Shockwave Flash
    File name: libflashplayer.so
    Shockwave Flash 6.0 r81
Java(TM) Plug-in 1.4.2_04-b05
    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.4.2_04
No extensions, fresh profile (./firefox-bin -P), plugins are in
$FIREFOX_ROOT/plugins.
FC1 is up to date up2date-wise.

Comment 11

14 years ago
WFM, Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7b) Gecko/20040411 Firefox/0.8.
0+. I don't see a balloon either, but perhaps the author has updated the website 
by now.

Comment 12

14 years ago
I was now able to produce this crash: I loaded the given URL, and nothing
happened. I came back to my Fx window to go to the next bug in my list and up
came Talkback.

Talkback ID TB25198G
Captured at 04/30/04 11:48 PM

In Mozilla 1.7 RC1:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b) Gecko/20040421

Plugins:
Shockwave Flash 6.0 r79
Java(TM) Plug-in 1.4.2_03

Running Slackware Current.

Comment 13

14 years ago
Confirming and moving to Browser based on my Comment #12.

Also, updated the summary to add Java/Flash.
Assignee: firefox → general
Status: UNCONFIRMED → NEW
Component: General → Browser-General
Ever confirmed: true
Product: Firefox → Browser
QA Contact: general
Summary: browser totally crashes on visiting the given website → browser totally crashes on visiting the given website (Java/Flash issue?)
Version: unspecified → Trunk

Comment 14

14 years ago
Didn't know where else to put this so:

-> Plug-ins
Assignee: general → nobody
Component: Browser-General → Plug-ins
QA Contact: general → core.plugins

Comment 15

12 years ago
gone?

reporter "I do not use Linux and Firefox at the moment"
Summary: browser totally crashes on visiting the given website (Java/Flash issue?) → browser totally crashes on visiting kitty-yo.net (Java/Flash issue?)

Comment 16

12 years ago
does this still crash?
Keywords: crash

Comment 17

11 years ago
hmm, no on cares?

=> incomplete
Status: NEW → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → INCOMPLETE
I think we could close it as WFM. I cannot see the crash with the latest plugins for Flash and Java or the site was changed meanwhile.
Resolution: INCOMPLETE → WORKSFORME
You need to log in before you can comment on or make changes to this bug.